﻿using System;
using System.Collections.Generic;
using WawaSoft.Common;

namespace CodeWawa.Demo {
    public class Cases : EntityBase {
        public const string CaseIdColName = "CaseId";
        public const string TitleColName = "Title";
        public const string ContentColName = "Content";
        public const string CaseTypeColName = "CaseType";
        public const string PostUserColName = "PostUser";
        public const string CloseUserColName = "CloseUser";
        public const string CreateTimeColName = "CreateTime";
        public const string CloseTimeColName = "CloseTime";
        public const string PriorityColName = "Priority";
        public const string ReleationServicesColName = "ReleationServices";
        public const string ReleationClientColName = "ReleationClient";
        public const string CaseFromColName = "CaseFrom";
        private static readonly List<string> _Cols = new List<string>();

        static Cases()
        {
            _Cols.Add(CaseIdColName);
            _Cols.Add(TitleColName);
            _Cols.Add(ContentColName);
            _Cols.Add(CaseTypeColName);
            _Cols.Add(PostUserColName);
            _Cols.Add(CloseUserColName);
            _Cols.Add(CreateTimeColName);
            _Cols.Add(CloseTimeColName);
            _Cols.Add(PriorityColName);
            _Cols.Add(ReleationServicesColName);
            _Cols.Add(ReleationClientColName);
            _Cols.Add(CaseFromColName);

        }

        public Cases() {

        }

        private Nullable<Int32> caseid;
        private String title;
        private String content;
        private Nullable<Byte> casetype;
        private String postuser;
        private String closeuser;
        private Nullable<DateTime> createtime;
        private Nullable<DateTime> closetime;
        private Nullable<Byte> priority;
        private String releationservices;
        private String releationclient;
        private Nullable<Byte> casefrom;

        public Nullable<Int32> CaseId {
            get { return caseid; }
            set {
                caseid = value;
                AddInnerData("caseid", value);
            }
        }
        public String Title {
            get { return title; }
            set {
                title = value;
                AddInnerData("title", value);
            }
        }
        public String Content {
            get { return content; }
            set {
                content = value;
                AddInnerData("content", value);
            }
        }
        public Nullable<Byte> CaseType {
            get { return casetype; }
            set {
                casetype = value;
                AddInnerData("casetype", value);
            }
        }
        public String PostUser {
            get { return postuser; }
            set {
                postuser = value;
                AddInnerData("postuser", value);
            }
        }
        public String CloseUser {
            get { return closeuser; }
            set {
                closeuser = value;
                AddInnerData("closeuser", value);
            }
        }
        public Nullable<DateTime> CreateTime {
            get { return createtime; }
            set {
                createtime = value;
                AddInnerData("createtime", value);
            }
        }
        public Nullable<DateTime> CloseTime {
            get { return closetime; }
            set {
                closetime = value;
                AddInnerData("closetime", value);
            }
        }
        public Nullable<Byte> Priority {
            get { return priority; }
            set {
                priority = value;
                AddInnerData("priority", value);
            }
        }
        public String ReleationServices {
            get { return releationservices; }
            set {
                releationservices = value;
                AddInnerData("releationservices", value);
            }
        }
        public String ReleationClient {
            get { return releationclient; }
            set {
                releationclient = value;
                AddInnerData("releationclient", value);
            }
        }
        public Nullable<Byte> CaseFrom {
            get { return casefrom; }
            set {
                casefrom = value;
                AddInnerData("casefrom", value);
            }
        }
        protected override IList<string> Cols
        {
            get { return _Cols; }
        }

        public override void ConvertToEntity(IEnumerable<DbCommonClass<string, object>> items) {
            foreach (DbCommonClass<string, object> item in items) {
                switch (item.Key) {
                    case CaseIdColName:
                        caseid = (Nullable<Int32>)item.Value;
                        break;
                    case TitleColName:
                        title = (String)item.Value;
                        break;
                    case ContentColName:
                        content = (String)item.Value;
                        break;
                    case CaseTypeColName:
                        casetype = (Nullable<Byte>)item.Value;
                        break;
                    case PostUserColName:
                        postuser = (String)item.Value;
                        break;
                    case CloseUserColName:
                        closeuser = (String)item.Value;
                        break;
                    case CreateTimeColName:
                        createtime = (Nullable<DateTime>)item.Value;
                        break;
                    case CloseTimeColName:
                        closetime = (Nullable<DateTime>)item.Value;
                        break;
                    case PriorityColName:
                        priority = (Nullable<Byte>)item.Value;
                        break;
                    case ReleationServicesColName:
                        releationservices = (String)item.Value;
                        break;
                    case ReleationClientColName:
                        releationclient = (String)item.Value;
                        break;
                    case CaseFromColName:
                        casefrom = (Nullable<Byte>)item.Value;
                        break;
                }
            }
        }
    }
}
